/**
 * 获取传入时间额当前时间的小时差
 * @param {*} time
 * @returns
 */
export function getHourDiff(time) {
  // 获取当前时间
  var now = new Date()

  // 设置目标时间（这里为2021年9月30日）
  var targetTime = new Date(time) // 注意月份从0开始计数，所以8表示九月

  // 计算时间差（单位为毫秒）
  var timeDiff = Math.abs(targetTime - now)

  // 将时间差转换成天
  let day = Math.floor(timeDiff / (60 * 60 * 24 * 1000))
  if (day < 1) {
    return Math.floor(timeDiff / (60 * 60 * 1000)) + '小时'
  } else {
    return day + '天'
  }
}
